Subject: Allow services to implement a 'reload' action

From: Clément Lassieur <[email-masked]>
Date: Mon, 08 May 2017 17:25:18 +0200

Hi,

The first patch allows services to implement a 'reload' action, and the
other three implement the 'reload' action for nginx, prosody and
dovecot.

Services do not have to implement 'reload' and if, say, foo-daemon
doesn't implement it, 'herd reload foo-daemon' will return 1 and display
a message saying that foo-deamon does not have an action 'reload'.
That's the reason of the #f default value.

WDYT?